Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Samba SMB Server
Name:      	samba
Version:   	3.2.4
Release:   	1
Provides:	samba
License: 	GNU/GPL v3
URL:		http://www.samba.org
Group:     	System/Servers  
Source0: 	samba-%{version}.tar.gz
Source1: 	smb.init
Source2: 	smbprint
Source3: 	winbind.init
Source4: 	samba.xinetd
Source5: 	samba.sysconfig
Source6:	samba.pamd
Source7:	samba.initd
Source8:	winbind.initd
Source9:	samba.conf
Patch0: 	samba-2.2.0-smbw.patch
Patch1: 	samba-3.0.0beta1-pipedir.patch
Patch2: 	samba-3.0.11-logfiles.patch
Patch3: 	samba-3.0.0rc3-nmbd-netbiosname.patch
Patch4: 	samba-3.0.4-install.mount.smbfs.patch
Patch5: 	samba-3.0.4-man.patch
Patch6: 	samba-3.0.23a-smb.conf.patch
Patch8: 	samba-3.0.5pre1-use_authtok.patch
Patch9: 	samba-3.0.5rc1-passwd.patch
Patch10: 	samba-3.0.8pre1-smbmnt.patch
Patch11: 	samba-3.0.9-changetrustpw.patch
Patch12:	samba-3.0.20b-printer-smb.conf.patch

BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	samba-common = %{version}-%{release} 
BuildRequires:	cups-devel gnutls-devel openssl-devel libtasn1-devel
BuildRequires:	openldap-devel gamin-devel krb5-devel pam-devel  
BuildRequires:	readline-devel libacl-devel e2fsprogs-devel
BuildRequires:	libgcrypt-devel autoconf sed libgpg-error-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Samba is the protocol by which a lot of PC-related machines share
files, printers, and other information (such as lists of available
files and printers). The Windows NT, OS/2, and Linux operating systems
support this natively, and add-on packages can enable the same thing
for DOS, Windows, VMS, UNIX of all kinds, MVS, and more. This package
provides an SMB server that can be used to provide network services to
SMB (sometimes called "Lan Manager") clients. Samba uses NetBIOS over
TCP/IP (NetBT) protocols and does NOT need the NetBEUI (Microsoft Raw
NetBIOS frame) protocol.

%package devel
Summary: 	Samba development headers.
Group:     	System/Servers
Requires: 	samba = %{version}-%{release}

%description devel
Header and include files for developing applications with samba.

%package doc
Summary: 	Samba Documentation.
Group:     	System/Servers
Requires: 	samba = %{version}-%{release}
Requires:	perl-ldap perl-Crypt-SmbHash perl-Convert-ASN1

%description doc
samba Documentation.


%package client
Summary: 	Samba (SMB) client programs.
Group: 		System/Servers
Requires: 	samba-common = %{version}-%{release}

%description client
The samba-client package provides some SMB clients to compliment the
built-in SMB filesystem in Linux. These clients allow access of SMB
shares and printing to SMB printers.

%package common
Summary: 	Files used by both Samba servers and clients.
Group: 		System/Servers
Obsoletes:	tdb

%description common
Samba-common provides files necessary for both the server and client
packages of Samba.

%package swat
Summary: 	The Samba SMB server configuration program.
Group: 		System/Servers
Requires: 	samba = %{version}-%{release} xinetd sed

%description swat
The samba-swat package includes the new SWAT (Samba Web Administration
Tool), for remotely managing Samba's smb.conf file using your favorite
Web browser.


%preun
if [ $1 = 0 ] ; then
    rm -rf /var/log/samba/* /var/cache/samba/*
    /etc/rc.d/init.d/samba stop >/dev/null 2>&1
fi
exit 0

%post
if [ $1 != 1 ] ; then
    rm -rf /var/log/samba/* /var/cache/samba/* /etc/samba/*.tdb
fi
/sbin/ldconfig
if [ "`grep nogroup /etc/group`" = "" ]; then
        /usr/sbin/groupadd -g 65534 nogroup &>/dev/null
fi
if [ "`grep nobody /etc/passwd`" = "" ]; then
        /usr/sbin/useradd -u 65534 -c 'Dummy user' -d / -s /bin/false -g nogroup nobody &>/dev/null
fi
/sbin/chkconfig --add samba
/sbin/chkconfig samba resetpriorities
/sbin/chkconfig samba on
/sbin/chkconfig --add winbind
/sbin/chkconfig winbind resetpriorities
/sbin/chkconfig winbind on

%postun
if [ "$1" -ge "1" ]; then
	/etc/rc.d/init.d/samba restart >/dev/null 2>&1
fi
/sbin/chkconfig --del samba
/sbin/chkconfig --del winbind
/sbin/ldconfig

%pre common
if [ $1 -eq 1 ]; then
    /usr/sbin/useradd -u 122 -c 'Dummy user' -g daemon nobody &>/dev/null || : 
fi

%post common
/sbin/ldconfig

%post swat
# remove current 902/tcp service and add swat as new one
/bin/sed -i "s#\([^ \t]\{1,\}\)\([ \t]*[ \t]\)\(902/tcp[ \t].*\)#\#\1\2\3\nswat\2902/tcp#" /etc/services

%postun swat
# remove swat setting in /etc/services and reactivate old settings
/bin/sed -i "\#swat[ \t]\{1,\}902/tcp# d" /etc/services
/bin/sed -i "s#[#]\([^ \t]\{1,\}\)\([ \t]*[ \t]\)\(902/tcp[ \t].*\)#\1\2\3#" /etc/services


%preun common
if [ $1 = 0 ] ; then
    /etc/rc.d/init.d/winbind stop >/dev/null 2>&1
fi
exit 0

%postun common
if [ "$1" -ge "1" ]; then
	/etc/rc.d/init.d/winbind restart >/dev/null 2>&1
fi
if [ $1 -eq 0 ]; then
	/usr/sbin/userdel nobody &>/dev/null || :
fi
/sbin/ldconfig

%prep
%setup -q
cp %{SOURCE1} packaging/RHEL/setup/
cp %{SOURCE2} packaging/RHEL/setup/
cp %{SOURCE3} packaging/RHEL/setup/winbind.init

#%patch0 -p1
#%patch1 -p1
#%patch2 -p0
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
%patch6 -p1
#%patch7 -p1
#%patch8 -p1
#%patch9 -p1
#%patch10 -p1
#%patch11 -p1
%patch12 -p0

rm -f examples/VFS/.cvsignore
mv source/VERSION source/VERSION.orig
sed -e 's/SAMBA_VERSION_VENDOR_SUFFIX=$/&\"%{release}\"/' < source/VERSION.orig > source/VERSION
cd source
script/mkversion.sh
cd ..

%build
cd source
./configure --prefix=%_prefix \
    --sysconfdir=%_sysconfdir/samba \
    --localstatedir=/var \
    --with-piddir=/var/run \
    --with-fhs \
    --with-smbmount \
    --with-automount \
    --with-libsmbclient \
    --with-quotas \
    --with-syslog \
    --enable-cups \
    --with-lockdir=/var/cache/samba \
    --with-mandir=%_mandir \
    --with-privatedir=%_sysconfdir/samba \
    --with-logfilebase=/var/log/samba \
    --with-libdir=%_libdir/samba \
    --with-swatdir=%_datadir/swat \
    --with-configdir=%_sysconfdir/samba \
    --enable-socket-wrapper \
    --without-spinlocks \
    --with-acl-support \
    --with-aio-support \
    --with-krb5 \
    --with-ldap \
    --with-pam --with-pam_smbpass \
    --with-readline \
    --with-winbind

make proto
make all nsswitch/libnss_wins.so modules
make debug2html
make smbfilter
( cd client ; gcc -o mount.cifs $RPM_OPT_FLAGS -Wall -O -D_GNU_SOURCE -D_LARGEFILE64_SOURCE mount.cifs.c )

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/{sbin,bin}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
mkdir -p $RPM_BUILD_ROOT/var/{log,spool}/samba
mkdir -p $RPM_BUILD_ROOT/var/cache/samba
mkdir -p $RPM_BUILD_ROOT/var/cache/samba/winbindd_privileged
mkdir -p $RPM_BUILD_ROOT/usr/share/swat/using_samba
mkdir -p $RPM_BUILD_ROOT/usr/share/samba/codepages 
mkdir -p $RPM_BUILD_ROOT/var/run/winbindd
cd source

make install \
	BINDIR=$RPM_BUILD_ROOT/usr/bin \
	BASEDIR=$RPM_BUILD_ROOT/usr \
	SBINDIR=$RPM_BUILD_ROOT/usr/sbin \
	DATADIR=$RPM_BUILD_ROOT/usr/share \
	LOCKDIR=$RPM_BUILD_ROOT/var/cache/samba \
	PRIVATEDIR=$RPM_BUILD_ROOT/etc/samba \
	LIBDIR=$RPM_BUILD_ROOT/usr/lib/samba \
	CONFIGDIR=$RPM_BUILD_ROOT/etc/samba \
	MANDIR=$RPM_BUILD_ROOT/usr/share/man \
	VARDIR=$RPM_BUILD_ROOT/var/log/samba \
	CODEPAGEDIR=$RPM_BUILD_ROOT/usr/share/samba/codepages \
	SWATDIR=$RPM_BUILD_ROOT/usr/share/swat \
	SAMBABOOK=$RPM_BUILD_ROOT/usr/share/swat/using_samba \
	PIDDIR=$RPM_BUILD_ROOT/var/run
cd ..
# Install other stuff
install -m644 packaging/RHEL/setup/smb.conf $RPM_BUILD_ROOT/etc/samba/smb.conf
install -m755 source/script/mksmbpasswd.sh $RPM_BUILD_ROOT/usr/bin
install -m644 packaging/RHEL/setup/smbusers $RPM_BUILD_ROOT/etc/samba/smbusers
install -m755 packaging/RHEL/setup/smbprint $RPM_BUILD_ROOT/usr/bin
# install initd scripts
install -m755 %{SOURCE7} $RPM_BUILD_ROOT/etc/rc.d/init.d/samba
install -m755 %{SOURCE8} $RPM_BUILD_ROOT/etc/rc.d/init.d/winbind

#ln -s ../usr/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smb
#ln -s ../usr/bin/smbmount $RPM_BUILD_ROOT/sbin/mount.smbfs

mv $RPM_BUILD_ROOT/usr/sbin/mount.cifs $RPM_BUILD_ROOT/sbin/mount.cifs
mv $RPM_BUILD_ROOT/usr/sbin/umount.cifs $RPM_BUILD_ROOT/sbin/umount.cifs
chmod 4755 $RPM_BUILD_ROOT/sbin/mount.cifs
chmod 4755 $RPM_BUILD_ROOT/sbin/umount.cifs

echo 127.0.0.1 localhost > $RPM_BUILD_ROOT/etc/samba/lmhosts

# add library path to ld.so.conf.d
install -m755 %{SOURCE9} $RPM_BUILD_ROOT/etc/ld.so.conf.d/

# winbind
mkdir -p $RPM_BUILD_ROOT/lib
install -m 755 source/nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/lib/libnss_winbind.so
ln -sf libnss_winbind.so  $RPM_BUILD_ROOT/lib/libnss_winbind.so.2
install -m 755 source/nsswitch/libnss_wins.so $RPM_BUILD_ROOT/lib/libnss_wins.so
ln -sf libnss_wins.so  $RPM_BUILD_ROOT/lib/libnss_wins.so.2

mv $RPM_BUILD_ROOT%_libdir/samba/security $RPM_BUILD_ROOT/lib/security/


# libsmbclient

# make install puts libsmbclient.so in the wrong place on x86_64
rm -f $RPM_BUILD_ROOT/usr/lib*/samba/libsmbclient.so $RPM_BUILD_ROOT/usr/lib*/samba/libsmbclient.a $RPM_BUILD_ROOT/usr/lib || true
mkdir -p $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/include
install -m 755 source/bin/libsmbclient.so $RPM_BUILD_ROOT/usr/lib/libsmbclient.so
install -m 644 source/bin/libsmbclient.a $RPM_BUILD_ROOT/usr/lib/libsmbclient.a
install -m 644 source/include/libsmbclient.h $RPM_BUILD_ROOT/usr/include

mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/etc/xinetd.d/swat

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m644 %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/samba
#install -m755 source/client/mount.cifs $RPM_BUILD_ROOT/sbin/mount.cifs

rm -f $RPM_BUILD_ROOT/usr/share/man/man1/editreg.1*
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/log2pcap.1*
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/smbsh.1*
rm -f $RPM_BUILD_ROOT/usr/share/man/man1/smbget.1*
rm -f $RPM_BUILD_ROOT/usr/share/man/man5/smbgetrc.5*

# Delete tdb related stuff
rm -f $RPM_BUILD_ROOT%_bindir/tdbdump*
rm -f $RPM_BUILD_ROOT%_bindir/tdbtool*
rm -f $RPM_BUILD_ROOT%_mandir/man8/tdbdump.8*

# Create directories needed for printer drivers (point&print feature)
mkdir -p $RPM_BUILD_ROOT/var/lib/samba/printers/{W32X86,WIN40,W32ALPHA,W32MIPS,W32PPC}

# install /etc/pam.d/swat for pam support
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/samba

# install smb backend for cups printing

mkdir -p $RPM_BUILD_ROOT/usr/lib/cups/backend/smb
ln -s /usr/bin/smbspool $RPM_BUILD_ROOT/usr/lib/cups/backend/smb

%files
%defattr(-,root,root)
/usr/bin/eventlogadm
/usr/bin/smbget
/usr/lib/samba/auth/script.so
%{_sbindir}/smbd
%{_sbindir}/nmbd
%{_bindir}/mksmbpasswd.sh
%{_bindir}/smbcontrol
%{_bindir}/smbstatus
%{_bindir}/tdbbackup
%{_bindir}/ldbadd
%{_bindir}/ldbdel
%{_bindir}/ldbedit
%{_bindir}/ldbmodify
%{_bindir}/ldbsearch
%config(noreplace) /etc/sysconfig/samba
%config(noreplace) /etc/samba/smbusers
%attr(755,root,root) /etc/rc.d/init.d/samba
%{_mandir}/man1/smbcontrol.1*
%{_mandir}/man1/smbstatus.1*
%{_mandir}/man5/smbpasswd.5*
%{_mandir}/man7/samba.7*
%{_mandir}/man8/nmbd.8*
%{_mandir}/man8/pdbedit.8*
%{_mandir}/man8/smbd.8*
%{_mandir}/man8/tdbbackup.8*
%{_mandir}/man1/ldbadd.1.gz
%{_mandir}/man1/ldbdel.1.gz
%{_mandir}/man1/ldbedit.1.gz
%{_mandir}/man1/ldbmodify.1.gz
%{_mandir}/man1/ldbsearch.1.gz
%{_mandir}/man8/vfs_xattr_tdb.8.gz
%{_mandir}/man8/eventlogadm.8.gz
%{_mandir}/man8/idmap_ad.8.gz
%{_mandir}/man8/idmap_ldap.8.gz
%{_mandir}/man8/idmap_nss.8.gz
%{_mandir}/man8/idmap_rid.8.gz
%{_mandir}/man8/idmap_tdb.8.gz
%{_mandir}/man8/tdbtool.8.gz
%{_mandir}/man8/vfs_audit.8.gz
%{_mandir}/man8/vfs_cacheprime.8.gz
%{_mandir}/man8/vfs_cap.8.gz
%{_mandir}/man8/vfs_catia.8.gz
%{_mandir}/man8/vfs_commit.8.gz
%{_mandir}/man8/vfs_default_quota.8.gz
%{_mandir}/man8/vfs_extd_audit.8.gz
%{_mandir}/man8/vfs_fake_perms.8.gz
%{_mandir}/man8/vfs_full_audit.8.gz
%{_mandir}/man8/vfs_gpfs.8.gz
%{_mandir}/man8/vfs_netatalk.8.gz
%{_mandir}/man8/vfs_notify_fam.8.gz
%{_mandir}/man8/vfs_prealloc.8.gz
%{_mandir}/man8/vfs_readahead.8.gz
%{_mandir}/man8/vfs_readonly.8.gz
%{_mandir}/man8/vfs_recycle.8.gz
%{_mandir}/man8/vfs_shadow_copy.8.gz
%{_mandir}/man8/vfs_streams_depot.8.gz
%{_mandir}/man8/vfs_streams_xattr.8.gz
%{_libdir}/samba/vfs

%attr(1777,root,root) %dir /var/spool/samba
%attr(775,root,lp) %dir /var/lib/samba/printers/W32X86
%attr(775,root,lp) %dir /var/lib/samba/printers/WIN40
%attr(775,root,lp) %dir /var/lib/samba/printers/W32ALPHA
%attr(775,root,lp) %dir /var/lib/samba/printers/W32MIPS
%attr(775,root,lp) %dir /var/lib/samba/printers/W32PPC

%files doc
%defattr(-,root,root)
#%{_datadir}/doc

%files swat
%defattr(-,root,root)
%config(noreplace) /etc/xinetd.d/swat
%{_datadir}/swat
%{_sbindir}/swat
/usr/share/man/man8/swat.8*

%files client
%defattr(-,root,root)
%attr(4755,root,root)/sbin/mount.cifs
%attr(4755,root,root)/sbin/umount.cifs
%{_bindir}/rpcclient
%{_bindir}/smbcacls
%{_bindir}/findsmb
/usr/share/man/man8/smbspool.8*
/usr/share/man/man8/mount.cifs.8*
%{_bindir}/nmblookup
%{_bindir}/smbclient
%{_bindir}/smbprint
%{_bindir}/smbspool
%{_bindir}/smbtar
%{_bindir}/smbtree
/usr/share/man/man1/findsmb.1*
/usr/share/man/man1/nmblookup.1*
/usr/share/man/man1/rpcclient.1*
/usr/share/man/man1/smbcacls.1*
/usr/share/man/man1/smbclient.1*
/usr/share/man/man1/smbtar.1*
/usr/share/man/man1/smbtree.1*
/usr/lib/cups/backend/smb

%files common
%defattr(-,root,root)
%dir %{_libdir}/samba
%dir %{_libdir}/samba/charset
%{_sysconfdir}/ld.so.conf.d/samba.conf
/lib/libnss_wins.so
/lib/libnss_wins.so.2
/lib/libnss_winbind.so
/lib/libnss_winbind.so.2
/lib/security/pam_smbpass.so
/lib/security/pam_winbind.so
%{_libdir}/libsmbclient.a
%{_libdir}/libsmbclient.so
%{_libdir}/samba/charset/CP*.so
%{_libdir}/samba/libsmbsharemodes.so
%{_libdir}/samba/libsmbsharemodes.so.0
%{_libdir}/samba/libnetapi.so
%{_libdir}/samba/libnetapi.so.0
%{_libdir}/samba/libtalloc.so
%{_libdir}/samba/libtalloc.so.1
%{_libdir}/samba/libtdb.so
%{_libdir}/samba/libtdb.so.1
%{_libdir}/samba/libwbclient.so
%{_libdir}/samba/libwbclient.so.0
%{_libdir}/samba/libsmbclient.so.0
%{_bindir}/net
%{_bindir}/testparm
%{_bindir}/smbpasswd
%{_bindir}/wbinfo
%{_bindir}/ntlm_auth
%{_bindir}/pdbedit
%{_bindir}/profiles
%{_bindir}/smbcquotas
%{_sbindir}/winbindd
%dir /var/cache/samba
%dir /var/run/winbindd
%attr(750,root,root) %dir /var/cache/samba/winbindd_privileged
%config(noreplace) /etc/samba/smb.conf
%config(noreplace) /etc/samba/lmhosts
%dir %{_datadir}/samba
%dir %{_datadir}/samba/codepages
%dir /etc/samba
%attr(0700,root,root) %dir /var/log/samba
/etc/rc.d/init.d/winbind
 %{_datadir}/samba/codepages/*
# /usr/share/man/man1/make_smbcodepage.1*
/usr/share/man/man1/ntlm_auth.1*
/usr/share/man/man1/profiles.1*
/usr/share/man/man1/smbcquotas.1*
/usr/share/man/man1/testparm.1*
#/usr/share/man/man1/testprns.1*
/usr/share/man/man5/smb.conf.5*
/usr/share/man/man5/lmhosts.5*
/usr/share/man/man8/smbpasswd.8*
/usr/share/man/man1/wbinfo.1*
/usr/share/man/man8/winbindd.8*
/usr/share/man/man8/net.8*
/usr/share/man/man1/vfstest.1*
/usr/share/man/man7/pam_winbind.7*
/usr/share/man/man7/libsmbclient.7.gz
/usr/share/man/man8/umount.cifs.8.gz
/usr/share/man/man8/cifs.upcall.8.gz
/etc/pam.d/samba

%files devel
%defattr(-,root,root)
/usr/include/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.4-1
- version update
* Mon Sep 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.3-3
- removed external tdb dependency
* Fri Aug 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.3-2
- moved (u)mount.cifs to (more suitable) /sbin 
- set SUID bit on (u)mount.cifs, so regular users can mount/umount SMB/CIFS shares
* Wed Aug 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.3-1
- Version update
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.1-2
- moved /etc/ld.so.conf.d/samba.conf to (more suitable) samba-common subpackage
(fixes broken MPlayer)
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.1-1
- Version update
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.2.0-1
- Version update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.28a-1
- Version update
* Tue Dec 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.0.28-1
- Version update
* Thu Nov 22 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.27a-1
- version update
* Fri Oct 19 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.26a-2
- fixed %postun scriplet in swat package
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.0.26a-1
- Version update
* Thu May 17 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.25-1
- Version update
* Sat Mar 10 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.24-2
- added samba pam file
- added swat entry in /etc/services 
- added link to smbspool in cups dir to enable smb backend
- change spec to use chkconfig for init script
* Tue Feb 27 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.24-1
- version update
* Tue Jan 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 3.0.23d-1
- Added creation of nobody (default guest) user if none is present 
- Version update
* Mon Sep 04 2006 Christian Metzen <metzench@ccux-linux.de> 3.0.23c-1
- Version update
* Wed Aug 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0.23a-2
- fixed init symlinks
* Mon Jul 24 2006 Christian Metzen <metzench@ccux-linux.de> 3.0.23a-1 
- Version update
* Fri Mar 31 2006 Christian Metzen <metzench@ccux-linux.de> 3.0.22-1 
- Version update
* Sun Feb 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0.21c-1
- Version update
* Sun Jan 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.0.21a-1
- added printer driver directories, added point&print patch
* Sat Dec 31 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.21a-1 
- Version update 
* Wed Dec 21 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.21-1
- Version update
* Wed Oct 19 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.20b-1
- Version update
* Sat Oct 01 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.20a-1
- Version update
* Wed Aug 24 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.20-2
- Fixed Bug #0000108
* Sat Aug 20 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.20-1
- Version update
* Fri Jul 08 2005 Christian Wasem <wasem@ccux-linux.de> 3.0.14a-3
- Added required tdb as an dependency
* Sun May 08 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.14a-2
- Added dummy user nobody to common subpackage
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.14a-1
- Rebuild against readline 5.0, Version update to 3.0.14a
* Sun Feb 06 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.11-2
- Fixed Requires
* Sun Feb 06 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.11-1
- Update to Version 3.0.11
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.10-5
- Added Removal of old .tdb Files
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.10-4
- Fixed privatedir Setting
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.10-3
- Fixed Library Locations
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.10-2
- Adjusted Symlinks
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.10-1
- Version Update to 3.0.10 / Fixed Bug #0000025
* Sun May 16 2004 Christian Metzen <metzench@ccux-linux.de> 3.0.4-1
- Initial Release
